-- Main.lua
-- written by Habna


import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

Version = "v1.15.24"; --> ** TitanBar current version **
_G.TB = {};
_G.sFromCtr = nil;
_G.STM = nil;
_G.SCM = nil;
_G.SCMA = nil;
_G.Clock24h = nil;
_G.ShowST = nil;
_G.ShowBT = nil;
_G.STime = nil;
_G.GTime = nil;
_G.TBFont = nil;
_G.TBTop = nil;
windowOpen = true;
_G.ToolTipWin = nil;
_G.Debug = false; -- True will enable some functions when i'm debuging

screenWidth, screenHeight = Turbine.UI.Display.GetSize();
write = Turbine.Shell.WriteLine;

--**v Get player instance v**
if pcall( Turbine.Gameplay.LocalPlayer.GetInstance ) then
	Player = Turbine.Gameplay.LocalPlayer.GetInstance();
else
	Player = Turbine.Gameplay.LocalPlayer; --EU Version without November Patch
end
--**

--**v Get player alignment v**
PlayerAlign = Player:GetAlignment(); --1: Free People / 2: Monster Play
--**^

--PlayerLink = Player:IsLinkDead();
--write("Link is: " .. tostring(PlayerLink));

AppDir = "HabnaPlugins.TitanBar";
AppDirD = AppDir..".";

AppClassD = AppDirD.."Class.";
AppCtrD = AppDirD.."Control.";
AppLocaleD = AppDirD.."Locale.";
AppRes = "HabnaPlugins/TitanBar/Resources/";

--**v Detect Game Language v**
--local tGLocale = Turbine.Engine.GetLocale() -- Not working, returning OS locale
--write(tostring(tGLocale));

GLocale = "en";
if(Turbine.Shell.IsCommand("zusatzmodule")==true) then GLocale = "de";
elseif(Turbine.Shell.IsCommand("conseil")==true) then GLocale = "fr"; end
--**^

import (AppDir);
import (AppDirD.."color");
import (AppDirD.."settings");
LoadSettings();
import (AppDirD.."functions");
import (AppDirD.."functionsCtr");
import (AppDirD.."functionsMenu");
import (AppDirD.."functionsMenuControl");
import (AppDirD.."OptionPanel"); -- LUA option panel file (for in-game plugin manager options tab)
import (AppDirD.."menu");
import (AppDirD.."menuControl");
import (AppDirD.."frmMain");
frmMain();

TitanBarCommand = Turbine.ShellCommand()

function TitanBarCommand:Execute( command, arguments )
	if ( arguments == L["SCa1"] or arguments == "opt") then
		TitanBarMenu:ShowMenu();
	elseif ( arguments == L["SCa2"] or arguments == "u" ) then
		UnloadTitanBar();
	elseif ( arguments == L["SCa3"] or arguments == "r" ) then
		ReloadTitanBar();
	elseif ( arguments == L["SCa4"] or arguments == "ra" ) then
		ResetSettings();
	elseif ( arguments == L["SCa5"] or arguments == "mi") then
		if PlayerAlign == 1 then ShowHideMoney(); else ShowNS = true; end
	elseif ( arguments == L["SCa6"] or arguments == "dp") then
		if PlayerAlign == 1 then ShowHideDestinyPoints(); else ShowNS = true; end
	elseif ( arguments == L["SCa14"] or arguments == "sp") then
		if PlayerAlign == 1 then ShowHideShards(); else ShowNS = true; end
	elseif ( arguments == L["SCa15"] or arguments == "sm") then
		if PlayerAlign == 1 then ShowHideSkirmishMarks(); else ShowNS = true; end
	elseif ( arguments == L["SCa16"] or arguments == "mp") then
		if PlayerAlign == 1 then ShowHideMedallions(); else ShowNS = true; end
	elseif ( arguments == L["SCa17"] or arguments == "sl") then
		if PlayerAlign == 1 then ShowHideSeals(); else ShowNS = true; end
	elseif ( arguments == L["SCa18"] or arguments == "cp") then
		ShowHideCommendations();
	elseif ( arguments == L["SCa7"] or arguments == "bi" ) then
		ShowHideBackpackInfos();
	elseif ( arguments == L["SCa8"] or arguments == "pi" ) then
		ShowHidePlayerInfos();
	elseif ( arguments == L["SCa9"] or arguments == "ei" ) then
		if PlayerAlign == 1 then ShowHideEquipInfos(); else ShowNS = true; end
	elseif ( arguments == L["SCa10"] or arguments == "di" ) then
		if PlayerAlign == 1 then  ShowHideDurabilityInfos(); else ShowNS = true; end
	elseif ( arguments == L["SCa11"] or arguments == "pl" ) then
		ShowHidePlayerLoc();
	elseif ( arguments == L["SCa12"] or arguments == "gt" ) then
		ShowHideGameTime();
	elseif ( arguments == L["SCa13"] or arguments == "?" or arguments == "sc" ) then
		HelpInfo();
	--elseif ( arguments == L["SCa??"] or arguments == "ab") then
		--AboutTitanBar();
	elseif ( arguments == "pw" ) then
		write("");
		write("This is all of your currency:");
		write("-----v----------------------");
		ShowTableContent(PlayerCurrency);
		write("-----^----------------------");
		write("You may request to add a currency if it's not listed in the wallet menu! Give the 'key' string to Habna so it can be added into futur version of TitanBar thx!");
		write("");
	else
		ShowNS = true;
	end

	if ShowNS then write( "TitanBar: " .. L["SC0"] ); ShowNS = nil; end -- Command not supported
end

Turbine.Shell.AddCommand('TitanBar', TitanBarCommand)

Turbine.Plugin.Load = function( self, sender, args )
	--write( L["TBLang"] ); --TitanBar Language
	--write( L["TBLoad"] ); --TitanBar version by Habna loaded!
end